package net.admixer.equalizer.equalizer;

public class EqualizerParams implements IEqualizerParams {

    private int bandNumber = 10;

    private float[] cutoffFrequencies = {31.5f, 63, 125, 250, 500, 1000, 2000, 4000, 8000, 16000};

    private float[][] bandGains = {
            // Band 1
            {       0f,     //0
                    39.4f, // 1
                    36.2f, // 2
                    33.0f, // 3
                    29.8f, // 4
                    26.7f, // 5
                    23.5f, // 6
                    20.3f, // 7
                    17.1f, // 8
                    15.1f, // 9
                    13.1f, // 10
                    11.1f, // 11
                    9.0f, // 12
                    7.0f, // 13
                    5.0f, // 14
                    3.0f}, // 15
            // Band 2
            {       0, // 0
                    26.2f, // 1
                    23.8f, // 2
                    21.4f, // 3
                    19.0f, // 4
                    16.5f, // 5
                    14.1f, // 6
                    11.7f, // 7
                    9.3f, // 8
                    8.1f, // 9
                    6.9f, // 10
                    5.7f, // 11
                    4.4f, // 12
                    3.2f, // 13
                    2.0f, // 14
                    0.8f}, // 15
            // Band 3
            {       0, // 0
                    16.1f, // 1
                    14.4f, // 2
                    12.7f, // 3
                    11.0f, // 4
                    9.3f, // 5
                    7.6f, // 6
                    5.9f, // 7
                    4.2f, // 8
                    3.6f, // 9
                    3.1f, // 10
                    2.5f, // 11
                    1.9f, // 12
                    1.3f, // 13
                    0.8f, // 14
                    0.2f}, // 15
            // Band 4
            {       0, // 0
                    8.6f, // 1
                    7.6f, // 2
                    6.5f, // 3
                    5.5f, // 4
                    4.4f, // 5
                    3.4f, // 6
                    2.3f, // 7
                    1.3f, // 8
                    1.1f, // 9
                    0.9f, // 10
                    0.7f, // 11
                    0.6f, // 12
                    0.4f, // 13
                    0.2f, // 14
                    0.0f}, // 15
            // Band 5
            {       0, // 0
                    3.2f, // 1
                    2.8f, // 2
                    2.4f, // 3
                    2.0f, // 4
                    1.5f, // 5
                    1.1f, // 6
                    0.7f, // 7
                    0.3f, // 8
                    0.3f, // 9
                    0.2f, // 10
                    0.2f, // 11
                    0.1f, // 12
                    0.1f, // 13
                    0.0f, // 14
                    0.0f}, // 15
            // Band 6
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 7
            {       0, // 0
                    1.2f, // 1
                    1.0f, // 2
                    0.8f, // 3
                    0.6f, // 4
                    0.5f, // 5
                    0.3f, // 6
                    0.1f, // 7
                    0.1f, // 8
                    0.1f, // 9
                    0.1f, // 10
                    0.1f, // 11
                    0.2f, // 12
                    0.2f, // 13
                    0.2f, // 14
                    0.2f}, // 15
            // Band 8
            {       0, // 0
                    1.0f, // 1
                    0.8f, // 2
                    0.5f, // 3
                    0.3f, // 4
                    0.0f, // 5
                    0.2f, // 6
                    0.5f, // 7
                    0.7f, // 8
                    0.6f, // 9
                    0.6f, // 10
                    0.5f, // 11
                    0.4f, // 12
                    0.3f, // 13
                    0.3f, // 14
                    0.2f}, // 15
            // Band 9
            {       0, // 0
                    1.1f, // 1
                    1.4f, // 2
                    1.6f, // 3
                    1.9f, // 4
                    2.1f, // 5
                    2.4f, // 6
                    2.6f, // 7
                    2.9f, // 8
                    2.9f, // 9
                    2.9f, // 10
                    2.9f, // 11
                    3.0f, // 12
                    3.0f, // 13
                    3.0f, // 14
                    3.0f}, // 15
            // Band 10
            {       0, // 0
                    6.6f, // 1
                    6.9f, // 2
                    7.1f, // 3
                    7.4f, // 4
                    7.6f, // 5
                    7.9f, // 6
                    8.1f, // 7
                    8.4f, // 8
                    8.4f, // 9
                    8.4f, // 10
                    8.4f, // 11
                    8.5f, // 12
                    8.5f, // 13
                    8.5f, // 14
                    8.5f}, // 15
            // Band 11
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 12
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 13
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 14
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 15
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 16
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 17
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 18
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 19
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 20
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 21
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 22
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 23
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 24
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 25
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 26
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 27
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 28
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 29
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 30
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
            // Band 31
            {       0, // 0
                    0, // 1
                    0, // 2
                    0, // 3
                    0, // 4
                    0, // 5
                    0, // 6
                    0, // 7
                    0, // 8
                    0, // 9
                    0, // 10
                    0, // 11
                    0, // 12
                    0, // 13
                    0, // 14
                    0}, // 15
    };

    public float[][] getBandGains() {
        return bandGains;
    }

    public int getBandNumber() {
        return bandNumber;
    }

    public float[] getCutoffFrequencies() {
        return cutoffFrequencies;
    }
}
